## azure-nvme-utils 0.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.0)
project(azure-nvme-utils VERSION 0.1.0 LANGUAGES C)

if(NOT DEFINED VERSION)
    execute_process(
        COMMAND git describe --tags --always --dirty
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
        OUTPUT_VARIABLE VERSION
        OUTPUT_STRIP_TRAILING_WHITESPACE
    )
endif()

include(cmake/cppcheck.cmake)
include(cmake/clangformat.cmake)
include(cmake/doc.cmake)

include(CTest)
enable_testing()

add_compile_options(-Wextra -Wall $<$<CONFIG:Debug>:-Werror> -std=gnu11 -D_GNU_SOURCE=1)
add_executable(azure-nvme-id src/main.c)

set(AZURE_NVME_ID_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/sbin")
set(UDEV_RULES_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib/udev/rules.d" CACHE PATH "udev rules.d installation directory")

option(AZURE_LUN_CALCULATION_BY_NSID_ENABLED "Enable fallback \"LUN\" calculation via NSID" ON)
if(AZURE_LUN_CALCULATION_BY_NSID_ENABLED)
    set(AZURE_LUN_CALCULATION_BY_NSID_ENABLED 1)
else()
    set(AZURE_LUN_CALCULATION_BY_NSID_ENABLED 0)
endif()

configure_file(
  "${PROJECT_SOURCE_DIR}/udev/80-azure-nvme.rules.in"
  "${PROJECT_BINARY_DIR}/udev/80-azure-nvme.rules"
  @ONLY
)

configure_file(
    "${CMAKE_SOURCE_DIR}/src/version.h.in"
    "${CMAKE_SOURCE_DIR}/src/version.h"
    @ONLY
)

install(TARGETS azure-nvme-id DESTINATION ${AZURE_NVME_ID_INSTALL_DIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/udev/80-azure-nvme.rules DESTINATION ${UDEV_RULES_INSTALL_DIR})

set(CPACK_PROJECT_NAME ${PROJECT_NAME})
set(CPACK_PROJECT_VERSION ${PROJECT_VERSION})
include(CPack)

=== debian/changelog ===
azure-nvme-utils (0.2.0-2) unstable; urgency=medium

  * Bump package version for source-only upload

 -- Noah Meyerhans <noahm@debian.org>  Fri, 05 Jul 2024 14:49:25 -0700

azure-nvme-utils (0.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #1072523)

 -- Chris Patterson <cpatterson@microsoft.com>  Tue, 11 Jun 2024 15:18:12 +0000

=== debian/control ===
Source: azure-nvme-utils
Section: admin
Priority: optional
Maintainer: Debian Cloud Team <debian-cloud@lists.debian.org>
Uploaders: Noah Meyerhans <noahm@debian.org>,
 Chris Patterson <cpatterson@microsoft.com>
Build-Depends: cmake, debhelper-compat (= 13), pkgconf
Standards-Version: 4.7.0
Homepage: https://github.com/Azure/azure-nvme-utils
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/cloud-team/azure-nvme-utils
Vcs-Git: https://salsa.debian.org/cloud-team/azure-nvme-utils.git

Package: azure-nvme-utils
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Utilities to assist managing NVMe devices on Azure
 This package provides azure-nvme-id for NVMe device identification and udev
 rules to provide symlinks using available identifiers.

=== debian/watch ===
version=4
https://github.com/Azure/azure-nvme-utils/tags .*/v?(\d.*)@ARCHIVE_EXT@
